TLS v1.1 Supported and Not Supported Browsers

Find the popular browsers versions which supports TLS v1.1 protocol.

BrowserNot Supported VersionSupported VersionEnabled By default in Browser
Internet ExplorerVersion 6 and 7Version 8, 9, 10, 11Version 11

Note: Version 8, 9 and 10 we should manually enable the TLS v.1.1 in their browser settings.
Microsoft Edge-All VersionsAll Versions
Google ChromeBelow Version 22
(4 to 21)
From version 22From version 22
Mozilla FirefoxBelow Version 23
(2 to 22)
From Version 23From Version 24

Note: For Version 23, we should manually enable the TLS v.1.1 in their browser settings.
Apple SafariBelow Version 7
(3.1 to 6.1)
From Version 7From Version 7

I will update another article for how to update the browser setting to enable TLS protocols.

Advertisements

Leave a Reply